当前位置:  首页  >  服务器技术  >  Linux/unix  >  Linux系统

Debian运行j2se1.3.xx

Debian运行j2se1.3.xx--Linux发行版技术-Debian信息,下面是详情阅读。
  进来,因为工作需要,要在j2se1.3.1下边运行一些程序(在我看来,是多么古老的版本了),于是从sun下载j2se1.3,安装完毕.结果运行出错: /usr/jdk1.3.1_17/bin/i386/native_threads/java: error while loading shared libraries: libstdc++-libc6.1-1.so.2: cannot open shared object file: No such file or directory.

  原来是缺少动态库,简单于是搜索相关的debian下的package,原来在libstdc++2.9-glibc2.1包里,apt-get 安装,却是找不到,于是apt-cache search libstdc++,发现最早的也是libstdc++2.10-glibc2.2了,安装了.

  因为java需要libstdc++-libc6.1-1.so.2动态库,于是在linux下边做了个ln:ln -s /usr/lib/libstdc++-libc6.2-2.so.3 /usr/lib/libstdc++-libc6.1-1.so.2

  结果当然是,搞定.
吐了个 "CAO" !
扫码关注 PHP1 官方微信号
PHP1.CN | 中国最专业的PHP中文社区 | 凯发国际娱乐 | 凯发国际娱乐下载 | 数据库技术 | 服务器技术 | 前端开发技术 | PHP框架 | 开发工具 | PHP问答
Copyright © 1998 - 2020 PHP1.CN. All Rights Reserved PHP1.CN 第一PHP社区 版权所有